%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Python modules for starting Xen guest installations
Name: python-virtinst
Version: 0.103.0
Release: 3%{?dist}.1
Source0: virtinst-%{version}.tar.gz
Patch0: virtinst-0.103.0-urlgrabber-import.patch
Patch1: virtinst-0.103.0-accelerate.patch
Patch2: virtinst-0.103.0-default-net.patch
Patch3: virtinst-0.103.0-rhel5-client.patch
Patch4: virtinst-0.103.0-features-xml.patch
Patch5: virtinst-0.103.0-fix-acpi.patch
Patch6: virtinst-0.103.0-noreboot.patch
Patch8: virtinst-0.103.0-satellite-distro.patch
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
ExcludeArch: ppc ppc64 s390 s390x
Url: http://virt-manager.org/
Provides: xeninst
Provides: python-xeninst = %{version}
Provides: virtinst
Requires: libvirt-python >= 0.2.1
Requires: urlgrabber
BuildRequires: python-devel
Obsoletes: python-xeninst < %{version}

%description
virtinst is a module to help in starting installations of Fedora/Red
Hat Enterprise Linux related distributions inside of virtual machines.  It
supports both paravirt guests (for which only FC and RHEL guests are
currently supported) as well as fully virtualized guests.  It uses
libvirt (http://www.libvirt.org) for starting things.

Also contained is a simple script virt-install which uses
virtinst in a command line mode.

%prep
%setup -q -n virtinst-%{version}

%patch0 -p1 -b .urlgrabber-import
%patch1 -p1 -b .accelerate
%patch2 -p1 -b .defaultnet
%patch3 -p1 -b .rhel5client
%patch4 -p1 -b .features
%patch5 -p1 -b .fix-acpi
%patch6 -p1 -b .noreboot
%patch8 -p1 -b .satellite-distro

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mv $RPM_BUILD_ROOT/%{_bindir}/virt-install $RPM_BUILD_ROOT/%{_sbindir}/virt-install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS ChangeLog
%dir %{python_sitelib}/virtinst
%{python_sitelib}/virtinst/*
%{_sbindir}/virt-install

%changelog
* Fri Dec 14 2007 Daniel P. Berrange <berrange@redhat.com> - 0.103.0-3.el5.1
- Fix installing from tree provide by a satellite server (rhbz #412061)

* Fri Aug 3 2007 Hugh O. Brock <hbrock@redhat.com> - 0.103.0-3.el5
- Patch to have virtinst set up the guest without auto-reboot. Useful 
- for testing. Thanks to Jeff Burke (bz #249708)

* Thu Jul 19 2007 Hugh O. Brock <hbrock@redhat.com> - 0.103.0-2.el5
- Patch so that apic/acpi settings actually work (bz #248487)

* Tue May  1 2007 Daniel P. Berrange <berrange@redhat.com> - 0.103.0-1.el5
- Update to 0.103.0 upstream release (bz #243465)

* Wed Jan 24 2007 Daniel Berrange <berrange@redhat.com> - 0.99.0-2.el5
- use dd with o_direct to create non-sparse files (bz #223491)

* Fri Dec 15 2006 Jeremy Katz <katzj@redhat.com> - 0.99.0-1.el5
- support upstream pvfb config syntax (danpb, #219195)
- don't traceback on invalid memory param (gcosta, #219270)
- let the console come back quicker to help with HVM installs (#212024)

* Thu Nov 30 2006 Jeremy Katz <katzj@redhat.com> - 0.98.0-1.el5
- add support for creating nonsparse disk images (#217764)

* Mon Nov 20 2006 Jeremy Katz <katzj@redhat.com> - 0.97.0-1
- handle multiple nics with virt-install (#215726)

* Thu Nov 16 2006 Daniel P. Berrange <berrange@redhat.com> - 0.96.0-3
- Autodetect primary bridge device when creating guests (bz 207210, 201626)

* Tue Oct 24 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-2
- remove compat symlinks as apps have been changed

* Wed Oct 18 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-1
- improve check for if a machine is hvm capable to catch when support isn't
  allowed by the bios (#211276)
- cleanup after nfs mount failure on pv install (#206196)
- support for setting vcpus (#210516)

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 0.95.0-1
- support for blktap (danpb)
- name change

* Tue Oct  3 2006 Jeremy Katz <katzj@redhat.com> - 0.94.0-1
- Fix using block device as backing (#209138)
- Fix error handling for invalid install locations (danpb)
- Write out vcpu config (danpb)

* Wed Sep 20 2006 Jeremy Katz <katzj@redhat.com> - 0.93.0-1
- Fix hvm network xm config (danpb)
- Enable PAE with pae hvm hosts (danpb)
- Fix hvm block backed cds (danpb)
- Fix handling of block devs backed by vbds (danpb)
- Ensure we're on a xen kernel (#205889)
- Default to vncunused

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-2
- add patch to fix memory parsing in interactive mode
- fix deps

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-1
- Fix silly loop when asking about graphics support (misa)
- Fix passing macaddr
- Add support so that we reboot into the guest after installation finishes 

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 0.91.0-1
- add support for paravirt guests with framebuffer. 

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 0.90.1-1
- fix tab/space whitespace inconsistency

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-2
- set ExcludeArch so that it doesn't get pulled into all trees

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-1
- update to version with fixed HVM domain creation

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.9-2
- add some missing requires

* Tue Aug 15 2006 Jeremy Katz <katzj@redhat.com> - 0.9-1
- Initial build

